#ifndef f00CameraH
#define f00CameraH


#include <assert.h>

#include "f00Object.h"


class f00Camera : public f00Object
{
	public:
		f00Camera(	GLfloat x = 0.0,
						GLfloat y = 0.0,
						GLfloat z = 0.0,
						GLfloat yaw = 0.0,
						GLfloat pitch = 0.0,
						GLfloat roll = 0.0	)
		:	f00Object( x, y, z, yaw, pitch, roll )
		{
		}

		void
		renderObject()
		{
			assert( false );	// BAD!
		}

		void
		applyCamera()
		{
			// Apply camera ("reversed", because the camera
			// stays still - the rest of the world moves).
			glRotatef( -roll(), 0.0, 0.0, 1.0 );
			glRotatef( -pitch(), 1.0, 0.0, 0.0 );
			glRotatef( -yaw(), 0.0, 1.0, 0.0 );
			glTranslatef( -x(), -y(), -z() );
		}

};


#endif

